
Figure - Bug #112523
【BSP】【EVT2】【MCU固件】【必现】Userdebug版本的MCU固件升级，提示升级成功，但未成功升级
2022-10-12 16:02 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-10-12

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221012.alpha

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221014.alpha_0036

Reproducibility: Every time Fixed Version: 2022-10-14

Test Type: IT Root cause: 由于升级后，MCU串口未初始化。导致读取数据异常。

Description

【前提条件】

1.烧录user版本

【测试步骤】

1.打开USB调试

2.push mcu_a.bin 和mcu_b.bin文件到 sdcard/Download/下

3.使用命令查看当前slot并记录

  adb shell " getprop | grep slot" 

4.点击McuUpgrade 程序，依次点击"绑定UART" ->"发送升级服务请求“ 。等待平板重启

5.使用命令查看slot

  adb shell " getprop | grep slot" 

【预期结果】

3.

[ro.boot.slot_suffix]: [_a]

[ro.telephony.sim_slots.count]: [2]

4.提示升级成功，5s后重启

5.[ro.boot.slot_suffix]: [_b]

[ro.telephony.sim_slots.count]: [3]

【实际结果】

3.

[ro.boot.slot_suffix]: [_a]

[ro.telephony.sim_slots.count]: [2]

4.提示升级成功，5s后重启

5.

[ro.boot.slot_suffix]: [_a]

[ro.telephony.sim_slots.count]: [2]

【复现率】

必现

History

#1 - 2022-10-12 16:19 - CDTS_TEST 刘勇

- File notUpgrade.txt added

#2 - 2022-10-12 22:18 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD BSP-陈杰
#3 - 2022-10-13 10:37 - CDTS_TEST 王成

- Target version changed from VC1_FSE_B sample_20221015 to VX1_MCE_FSE_V2.0_update_20221012

#4 - 2022-10-17 14:55 - CD BSP-陈杰

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-陈杰 to CDTS_TEST 刘勇

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-10-14

- Root cause set to 由于升级后，MCU串口未初始化。导致读取数据异常。

目前bug已经解决，走关闭流程

#5 - 2022-10-18 10:23 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

【前提条件】

1.烧录user版本

【测试步骤】

1.打开USB调试

2.push mcu_a.bin 和mcu_b.bin文件到 sdcard/Download/下

3.使用命令查看当前slot并记录

adb shell " getprop | grep slot" 

4.点击McuUpgrade 程序，依次点击"绑定UART" ->"发送升级服务请求“ 。等待平板重启

5.在APK中查看MCU版本信息

【实际结果】

4.提示升级成功，5s后重启

5.在MCUupgrade中可以查看MCU版本

【测试结果】PASS，验证通过

【验证次数】5次

#6 - 2022-10-18 10:24 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221014.alpha_0036

#7 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155131 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP: MCU: Fixed the problem in the MCU upgrade[1/2]After the MCU is upgraded normally, the serial port cannot receive data,resulting in abnormal

communication. The investigation found that theinitialization position of the serial port is caused, the normalupgrade,the device restarts, the MCU will not go to

the normal bootsequence,so the serial port will not be initialized.TC-RID: 1201-0102704IssueID: TS-R-BUG-112523Change-Id:

Id513bce5079f27c32a9ecae84d167797997bbc73

#8 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155181 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Fixed the problem in the MCU upgrade[2/2]After the MCU is upgraded normally, the serial port cannot receive data,resulting in abnormal

communication. The investigation found that theinitialization position of the serial port is caused, the normalupgrade,the device restarts, the MCU will not go to

the normal bootsequence,so the serial port will not be initialized.TC-RID: 1201-0102704IssueID: TS-R-BUG-112523Change-Id:

I7dfdfed356382b8fd0f4e6a2ad7a3458ac975585

#9 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155330 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm

dulei0503@thundersoft.com

BSP: MCU: Fixed the problem in the MCU upgrade[2/2]After the MCU is upgraded normally, the serial port cannot receive data,resulting in abnormal

communication. The investigation found that theinitialization position of the serial port is caused, the normalupgrade,the device restarts, the MCU will not go to

the normal bootsequence,so the serial port will not be initialized.TC-RID: 1201-0102704IssueID: TS-R-BUG-112523Change-Id:

I7dfdfed356382b8fd0f4e6a2ad7a3458ac975585(cherry picked from commit 59b53eee634cad064cdce4c12b05f726ddac97ab)

Files

mcu_a.bin 30.7 KB 2022-10-12 CDTS_TEST 刘勇

mcu_b.bin 30.7 KB 2022-10-12 CDTS_TEST 刘勇

notUpgrade.txt 523 KB 2022-10-12 CDTS_TEST 刘勇
